repo/proj/guru:dev commit in: dev-lang/odin/

"Itai Ferber" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786109642.42130836c93d12dd0558ff8f42c988de41550438.itai@gentoo>
commit:     42130836c93d12dd0558ff8f42c988de41550438
Author:     Itai Ferber <itai <AT> itaiferber <DOT> net>
AuthorDate: Fri Aug  7 13:31:29 2026 +0000
Commit:     Itai Ferber <itai <AT> itaiferber <DOT> net>
CommitDate: Fri Aug  7 13:34:02 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=42130836

dev-lang/odin: add 2026.08

Signed-off-by: Itai Ferber <itai <AT> itaiferber.net>

 dev-lang/odin/Manifest            |  1 +
 dev-lang/odin/odin-2026.08.ebuild | 51 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-lang/odin/Manifest b/dev-lang/odin/Manifest
index c3a045f6b3..d7c45e803c 100644
--- a/dev-lang/odin/Manifest
+++ b/dev-lang/odin/Manifest
@@ -1,3 +1,4 @@
 DIST odin-2026.05.tar.gz 149047320 BLAKE2B b0a2d983b2c50c795aeeb4b0e1f2b8f532543e5ae5881de9af702efec87571ab0024c04020e89f962f9be76fb2effa38401fb7161c5f5b56b8f2f77a2d41c12b SHA512 afbc9757726539f6df5880f01ea0a4dd879b15f9f0d54f89472ed5d365a546dcc3448ec417c48ecff58ee85b3be6c9476f79876e867a5a1f45e9671e6dec2941
 DIST odin-2026.07.tar.gz 148718238 BLAKE2B abe282f90438178f2311a4cba37eca34152df901b6ec96603dab58d2950b9b0954e0791d48d74ab0f5839b20a49ee3a73e1166092812d2dce1990153bde9ab4c SHA512 a5de6b9032d602007dcf8e31598af7267057113a30d95051325efacce5f1ef2a6b667a2d26cf139787752e915b60ef040122e43c7fc9ff6adb0608ca2ea2cecd
 DIST odin-2026.07a.tar.gz 149542086 BLAKE2B 30f652aaf2c16044376f93af1c6678159433212997dd47655f2344f5c5beac990768baf8385c85f9235284778d891f9462f708ac92dc418e49efa01c5966750c SHA512 670ad97f26fdf8cedf60a404868449a5959c5a97981357c6bec2ca2fad605044bf1efe523bc7d69f91451acac9cb2637741bed91da51f0e3dc1c7c0ddfbf3166
+DIST odin-2026.08.tar.gz 151688548 BLAKE2B 4000e4d574c82e00214c7a205d0f9f762862aaec9cf776fd2c0d0f177562a97dfe30feedbc77a1e6d776bad170ce6dcbd9295b482a90bfdf8ea63bfb37066e1f SHA512 4d69b7346d66b9d29f007ce396a705cd469b2bd70def33b4099a823439e6840e5a4cf6ad99d50c12689e120d655dbe692b9609660db75d8c552de7855f53df08

diff --git a/dev-lang/odin/odin-2026.08.ebuild b/dev-lang/odin/odin-2026.08.ebuild
new file mode 100644
index 0000000000..74874e0184
--- /dev/null
+++ b/dev-lang/odin/odin-2026.08.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LLVM_COMPAT=( {17..22} )
+inherit llvm-r2
+
+DESCRIPTION="The Data-Oriented Language for Sane Software Development"
+HOMEPAGE="https://odin-lang.org/"
+
+if [[ $PV == 9999 ]]; then
+	EGIT_REPO_URI="https://github.com/odin-lang/Odin.git"
+	inherit git-r3
+else
+	MY_PV="${PV/./-}"
+	SRC_URI="https://github.com/odin-lang/Odin/archive/refs/tags/dev-${MY_PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/Odin-dev-${MY_PV}"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="ZLIB"
+SLOT="0"
+
+RDEPEND="
+	$(llvm_gen_dep '
+		llvm-core/clang:${LLVM_SLOT}=
+		llvm-core/llvm:${LLVM_SLOT}=
+	')
+"
+
+BDEPEND="${RDEPEND}"
+
+QA_PREBUILT="/usr/lib*/odin/vendor"
+
+src_compile() {
+	./build_odin.sh release || die "failed to build odin"
+}
+
+src_install() {
+	local install_dir="/usr/$(get_libdir)/${PN}"
+	insinto "${install_dir}"
+	doins -r base core vendor
+
+	# Odin needs to link against runtime libs. Odin can pick up on those libs
+	# via `ODIN_ROOT`, but installing it into the same base dir keeps everything
+	# working right out of the box.
+	exeinto "${install_dir}"
+	doexe odin
+	dosym -r "${install_dir}/odin" "/usr/bin/odin"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.